Get all themes
curl --request GET \
--url https://api.kameleoon.com/themesimport requests
url = "https://api.kameleoon.com/themes"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.kameleoon.com/themes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"projectIds": [
123
],
"colors": [
{
"id": "<string>",
"value": "<string>"
}
],
"components": [
"<string>"
],
"creationDate": "2023-11-07T05:31:56Z",
"customFonts": [
{
"fontFamily": "<string>",
"fontSrc": "<string>",
"fontWeights": [
"<string>"
],
"id": "<string>",
"importSrc": "<string>"
}
],
"dateModified": "2023-11-07T05:31:56Z",
"description": "<string>",
"id": 123,
"name": "<string>",
"selectedFonts": [
{
"id": "<string>"
}
],
"tags": [
"<string>"
],
"widgetIds": [
123
]
}
]{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}Theme
Get all themes
Get a list of all themes. For more information on paramsIO refer to the Get started article, and see the Using paramsIO tutorial for practical use cases. To use optionalFields check out this guide.
GET
/
themes
Get all themes
Query Parameters
Show child attributes
Show child attributes
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
ACTIVE, DRAFT, PAUSED Was this page helpful?
⌘I